### Constructor

# GimpUi ProcBrowserDialog new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_proc_browser_dialog_new (
      const gchar* title,
      const gchar* role,
      GimpHelpFunc help_func,
      const gchar* help_id,
      ...
    )

#### Description [src]

Create a new `GimpProcBrowserDialog`.

Available since: 2.4

This constructor is not directly available to language bindings.

#### Parameters

`title`

  Type: `const gchar*`

  The dialog’s title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`role`

  Type: `const gchar*`

  The dialog’s role, see gtk_window_set_role().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`help_func`

  Type: `GimpHelpFunc`

  The function which will be called if the user presses “F1”.

`help_id`

  Type: `const gchar*`

  The help_id which will be passed to `help_func`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated list destribing the action_area buttons.

#### Return value

Type: `GtkWidget`

A newly created `GimpProcBrowserDialog`.

The data is owned by the called function.